from mdevaluate import atoms


def test_compare_regex():
    assert atoms.compare_regex(['OW', ], 'O')[0]
    assert not atoms.compare_regex(['OW', ], 'O$')[0]
    assert not atoms.compare_regex(['WO', ], 'O')[0]
    assert atoms.compare_regex(['O', ], 'O')[0]
